@import '../core/base';
@import '../modules/form-group';

.radio-button {
  display: inline-flex;
  order: 0;
  position: relative;
  padding: 0 .5rem 1rem .5rem;
  min-height: .1rem;
  @include mobile-sm {
    width: 100%;
  }
  &__input {
    position: absolute;
    left: 0;
    opacity: 0;
    z-index: -1;
    & + span {
      width: 100%;
      display: inline-flex;
    }
  }
  &__input:checked + span > &__label {
    background-color: #347ac0 !important;
    color: #fff !important;
    & > div > span > div {
      background-color: rgba(255,255,255, 0.3) !important;
    }
  }
  &__label {
    background-color: rgba(153, 153, 153, 0.12) !important;
    height: auto !important;
    line-height: 1.5em !important;
    text-align: center !important;
    padding: 1.3rem !important;
    min-width: 12rem !important;
    transition: all 0.2s cubic-bezier(0.57, 0.48, 1, 1) 0s !important;
    width: 100%;
    @include mobile-sm {
      padding: 1.3rem 1rem !important;
    }
    & span {
      text-transform: initial !important;
      padding: 0 !important;
    }
  }
  &__group {
    @include flex(initial, flex-start);
    flex-wrap: wrap;
    margin-left: -1rem;
    margin-right: -1rem;
  }
  &_full {
    flex: 1 1 22rem;
  }
}
